# sleep

Similar to the UNIX 'sleep' utility. sleep can be used to suspend execution of batch files for a time. sleep gives up time-slices to operating systems that support it. sleep also recognizes and honours the DOS switchar.

# Contributing

**Would you like to contribute to FreeDOS?** The programs listed here are a great place to start. Most of these do not have a maintainer anymore and need your help to make them better. Here's how to get started:

* __Maintainers__: Let us know if you'd like to take on one of these programs, and we can provide access to the source code repository here. Please use the FreeDOS package structure when you make new releases, including all executables, source code, and metadata.

* __New developers__: We can extend access for you to track issues here.

* __Translators__: Please submit to the [FD-NLS Project](https://github.com/shidel/fd-nls).

_*Make sure to check all source code licenses, especially for any code you might reuse from other projects to improve these programs. Note that not all open source licenses are the same or compatible with one another. (For example, you cannot reuse code covered under the GNU GPL in a program that uses the BSD license.)_

## SLEEP.LSM

<table>
<tr><td>title</td><td>sleep</td></tr>
<tr><td>version</td><td>1.2</td></tr>
<tr><td>entered&nbsp;date</td><td>2024-03-24</td></tr>
<tr><td>description</td><td>Suspend execution for a specified time</td></tr>
<tr><td>summary</td><td>Similar to the UNIX 'sleep' utility. sleep can be used to suspend execution of batch files for a time. sleep gives up time-slices to operating systems that support it. sleep also recognizes and honours the DOS switchar.</td></tr>
<tr><td>keywords</td><td>extension, utility, sleep</td></tr>
<tr><td>author</td><td>"Trane Francks" &lt;trane@tranefrancks.com&gt;</td></tr>
<tr><td>maintained&nbsp;by</td><td>"Trane Francks" &lt;trane@tranefrancks.com&gt;</td></tr>
<tr><td>primary&nbsp;site</td><td>http://www2.gol.com/users/trane/programming/programming.html</td></tr>
<tr><td>mirror&nbsp;site</td><td>http://www.ibiblio.org/pub/micro/pc-stuff/freedos/files/util/user/</td></tr>
<tr><td>original&nbsp;site</td><td>http://www2.gol.com/users/trane/programming/programming.html</td></tr>
<tr><td>copying&nbsp;policy</td><td>[GNU General Public License, Version 2](LICENSE)</td></tr>
<tr><td>platforms</td><td>DOS, FreeDOS</td></tr>
</table>
